#ifndef XMLOUTPUT_H
#define XMLOUTPUT_H
#include <stdlib.h>
#include <stdio.h>
#include <libxml/tree.h>
#include <libxml/parser.h>
#include "message.h"
#include "stuff.h"
#include "data.h"

class XMLOutput {
  protected:

  private:
    // Die einzelnen Zeiger auf die Nodes
    xmlDocPtr doc;
    xmlNodePtr NFiles;
    xmlNodePtr NDomains;
    xmlNodePtr NMessages;

    void InitXML ();
    void FreeXML ();

  public:
    XMLOutput ();
    ~XMLOutput ();
    
    void AddFile (char *filename,bool processed,char *zeit);
    void AddMessage (Message *message);
    void AddDomain (Domains *domain);
    void SaveResult (char *FileName);
};

#endif
